/*
 	File:		QTSMovie.k.h
 
 	Contains:	QuickTime interfaces
 
 	Version:	Technology:	
 				Release:	QuickTime 4.1
 
 	Copyright:	 1990-1999 by Apple Computer, Inc., all rights reserved
 
 	Bugs?:		For bug reports, consult the following page on
 				the World Wide Web:
 
 					http://developer.apple.com/bugreporter/
 
*/
#ifndef ___QTSMOVIE_K__
#define ___QTSMOVIE_K__

#include <QTSMovie.h>

/*
	Example usage:

		#define QTSMEDIA_BASENAME()	Fred
		#define QTSMEDIA_GLOBALS()	FredGlobalsHandle
		#include <QTSMovie.k.h>

	To specify that your component implementation does not use globals, do not #define QTSMEDIA_GLOBALS
*/
#ifdef QTSMEDIA_BASENAME
	#ifndef QTSMEDIA_GLOBALS
		#define QTSMEDIA_GLOBALS() 
		#define ADD_QTSMEDIA_COMMA 
	#else
		#define ADD_QTSMEDIA_COMMA ,
	#endif
	#define QTSMEDIA_GLUE(a,b) a##b
	#define QTSMEDIA_STRCAT(a,b) QTSMEDIA_GLUE(a,b)
	#define ADD_QTSMEDIA_BASENAME(name) QTSMEDIA_STRCAT(QTSMEDIA_BASENAME(),name)

	EXTERN_API( ComponentResult  ) ADD_QTSMEDIA_BASENAME(SetInfo) (QTSMEDIA_GLOBALS() ADD_QTSMEDIA_COMMA OSType  inSelector, void * ioParams);

	EXTERN_API( ComponentResult  ) ADD_QTSMEDIA_BASENAME(GetInfo) (QTSMEDIA_GLOBALS() ADD_QTSMEDIA_COMMA OSType  inSelector, void * ioParams);

	EXTERN_API( ComponentResult  ) ADD_QTSMEDIA_BASENAME(SetIndStreamInfo) (QTSMEDIA_GLOBALS() ADD_QTSMEDIA_COMMA SInt32  inIndex, OSType  inSelector, void * ioParams);

	EXTERN_API( ComponentResult  ) ADD_QTSMEDIA_BASENAME(GetIndStreamInfo) (QTSMEDIA_GLOBALS() ADD_QTSMEDIA_COMMA SInt32  inIndex, OSType  inSelector, void * ioParams);

#endif	/* QTSMEDIA_BASENAME */


#endif /* ___QTSMOVIE_K__ */

